/// <reference types="@adonisjs/application/build/adonis-typings" />
import type { ApplicationContract } from '@ioc:Adonis/Core/Application';
import type { AssetsManagerContract, AssetsManifest, Resettable } from '@microeinhundert/radonis-types';
/**
 * Service for managing assets
 */
export declare class AssetsManager implements AssetsManagerContract, Resettable {
    #private;
    /**
     * The singleton instance
     */
    static instance?: AssetsManager;
    /**
     * Get the singleton instance
     */
    static getSingletonInstance(...args: ConstructorParameters<typeof AssetsManager>): AssetsManager;
    constructor(application: ApplicationContract);
    /**
     * The required assets
     */
    get requiredAssets(): AssetsManifest;
    /**
     * Require an island
     */
    requireIsland(identifier: string): void;
    /**
     * Read the assets manifest
     */
    readAssetsManifest(): Promise<void>;
    /**
     * Reset for a new request
     */
    reset(): void;
}
//# sourceMappingURL=main.d.ts.map