"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * Adapted from https://github.com/denoland/fresh
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultErrorPage = void 0;
const radonis_shared_1 = require("@microeinhundert/radonis-shared");
const react_1 = require("react");
/**
 * The default error page
 */
function DefaultErrorPage({ error }) {
    let message;
    if (!radonis_shared_1.isProduction) {
        if (error instanceof Error) {
            message = error.stack;
        }
        else {
            message = String(error);
        }
    }
    return (0, react_1.createElement)('div', {
        style: {
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
        },
    }, (0, react_1.createElement)('div', {
        style: {
            border: '#f3f4f6 2px solid',
            borderTop: 'red 4px solid',
            background: '#f9fafb',
            margin: 16,
            minWidth: '300px',
            width: '50%',
        },
    }, (0, react_1.createElement)('p', {
        style: {
            margin: 0,
            fontSize: '12pt',
            padding: 16,
            fontFamily: 'sans-serif',
        },
    }, 'An error occurred during rendering.'), message &&
        (0, react_1.createElement)('pre', {
            style: {
                margin: 0,
                fontSize: '12pt',
                overflowY: 'auto',
                padding: 16,
                paddingTop: 0,
                fontFamily: 'monospace',
            },
        }, message)));
}
exports.DefaultErrorPage = DefaultErrorPage;
DefaultErrorPage.displayName = 'RadonisDefaultErrorPage';
//# sourceMappingURL=default_error_page.js.map