import type { RadonisConfig } from '@ioc:Microeinhundert/Radonis';
import type { HeadManagerContract, HeadMeta, HeadTag, Resettable } from '@microeinhundert/radonis-types';
/**
 * Service for managing head data
 */
export declare class HeadManager implements HeadManagerContract, Resettable {
    #private;
    /**
     * The singleton instance
     */
    static instance?: HeadManager;
    /**
     * Get the singleton instance
     */
    static getSingletonInstance(...args: ConstructorParameters<typeof HeadManager>): HeadManager;
    constructor(config: RadonisConfig);
    /**
     * Set the title
     */
    setTitle(title: string): void;
    /**
     * Add meta
     */
    addMeta(meta: HeadMeta): void;
    /**
     * Add tags
     */
    addTags(tags: HeadTag[]): void;
    /**
     * Get the markup, including the opening and closing head tags
     */
    getMarkup(): string;
    /**
     * Reset for a new request
     */
    reset(): void;
}
//# sourceMappingURL=main.d.ts.map