"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractRootRoutes = void 0;
const get_route_identifier_1 = require("./get_route_identifier");
/**
 * Extract the root routes
 */
function extractRootRoutes(router) {
    const rootRoutes = router.toJSON()?.['root'] ?? [];
    return rootRoutes.reduce((routes, route) => {
        const routeIdentifier = (0, get_route_identifier_1.getRouteIdentifier)(route);
        if (routeIdentifier) {
            routes[routeIdentifier] = route.pattern;
        }
        return routes;
    }, {});
}
exports.extractRootRoutes = extractRootRoutes;
//# sourceMappingURL=extract_root_routes.js.map