"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.withContextProviders = void 0;
const react_1 = require("react");
const assets_manager_context_1 = require("../contexts/assets_manager_context");
const manifest_manager_context_1 = require("../contexts/manifest_manager_context");
const renderer_context_1 = require("../contexts/renderer_context");
const server_context_1 = require("../contexts/server_context");
/**
 * Wrap a ReactElement with the required context providers
 */
function withContextProviders(renderer, assetsManager, manifestManager, server, children) {
    return (0, react_1.createElement)(assets_manager_context_1.AssetsManagerContextProvider, { value: assetsManager }, (0, react_1.createElement)(manifest_manager_context_1.ManifestManagerContextProvider, { value: manifestManager }, (0, react_1.createElement)(renderer_context_1.RendererContextProvider, { value: renderer }, (0, react_1.createElement)(server_context_1.ServerContextProvider, { value: server }, children))));
}
exports.withContextProviders = withContextProviders;
//# sourceMappingURL=with_context_providers.js.map